Bug 380721 - GL hangs
GL hangs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 14:11 EST by Bill Nottingham
Modified: 2014-03-16 23:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 10:52:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-11-13 14:11:45 EST
With the new X world, openGL hangs on intel.

kernel-2.6.23.1-49.fc8
xorg-x11-drv-i810-2.1.99-0.fc9
xorg-x11-server-Xorg-1.4.99.1-0.8.fc9
mesa-libGL-7.1-0.3.fc9
libdrm-2.4.0-0.1.fc9

#0  0x0000003a772cd437 in ioctl () from /lib64/libc.so.6
#1  0x00002aaaabddac7d in drmCommandWrite () from /usr/lib64/libdrm.so.2
#2  0x00002aaabd34eac9 in BitOrderInvert () from /usr/lib64/dri/i915_dri.so
#3  0x00002aaabd34f8d9 in BitOrderInvert () from /usr/lib64/dri/i915_dri.so
#4  0x00002aaabd3320aa in BitOrderInvert () from /usr/lib64/dri/i915_dri.so
#5  0x00002aaabd332266 in BitOrderInvert () from /usr/lib64/dri/i915_dri.so
#6  0x00002aaabd34d3f6 in BitOrderInvert () from /usr/lib64/dri/i915_dri.so
#7  0x00002aaabd341c3b in BitOrderInvert () from /usr/lib64/dri/i915_dri.so
#8  0x00002aaabd340df5 in BitOrderInvert () from /usr/lib64/dri/i915_dri.so
#9  0x00002aaaab5554d1 in __glXDisp_Render (cl=<value optimized out>, 
    pc=<value optimized out>) at glxcmds.c:1778
#10 0x00002aaaab559192 in __glXDispatch (client=0x975930) at glxext.c:493
#11 0x0000000000447272 in Dispatch () at dispatch.c:502
#12 0x000000000042f75a in main (argc=10, argv=0x7fff40ffc978, 
    envp=<value optimized out>) at main.c:454
Comment 1 Bill Nottingham 2007-11-13 14:12:56 EST
(note: xorg-x11-drv-i810 is just the unpatched 2.1.99 release built)
Comment 2 Bug Zapper 2008-05-13 23:52:57 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 19:10:51 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bill Nottingham 2009-06-10 10:52:11 EDT
This is nowhere near valid any more.

Note You need to log in before you can comment on or make changes to this bug.